> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Ai Ticket Sync Connection



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/org/ai-tickets/sync/connections/{connection_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-tickets/sync/connections/{connection_id}:
    put:
      tags:
        - AI Tickets API
      summary: Update Ai Ticket Sync Connection
      operationId: >-
        update_ai_ticket_sync_connection_api_v1_org_ai_tickets_sync_connections__connection_id__put
      parameters:
        - in: path
          name: connection_id
          required: true
          schema:
            format: uuid
            title: Connection Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AiTicketSyncConnectionUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AiTicketSyncConnectionResponse'
          description: Successful Response
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AiTicketSyncConnectionUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
        credential:
          anyOf:
            - type: object
            - type: 'null'
          title: Credential
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        sync_kinds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sync Kinds
        sync_min_priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Min Priority
        sync_event_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Event Scope
      title: AiTicketSyncConnectionUpdateRequest
      type: object
    AiTicketSyncConnectionResponse:
      properties:
        id:
          format: uuid
          type: string
          title: Id
        name:
          title: Name
          type: string
        provider:
          title: Provider
          type: string
        config:
          title: Config
          type: object
        enabled:
          title: Enabled
          type: boolean
        credential_configured:
          title: Credential Configured
          type: boolean
        sync_kinds:
          items:
            type: string
          title: Sync Kinds
          type: array
        sync_min_priority:
          title: Sync Min Priority
          type: string
        sync_event_scope:
          title: Sync Event Scope
          type: string
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        created_at:
          format: date-time
          type: string
          title: Created At
        updated_at:
          format: date-time
          type: string
          title: Updated At
      required:
        - id
        - name
        - provider
        - config
        - enabled
        - credential_configured
        - sync_kinds
        - sync_min_priority
        - sync_event_scope
        - last_synced_at
        - last_error
        - created_at
        - updated_at
      title: AiTicketSyncConnectionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````